Spaces:
Runtime error
Runtime error
Commit History
-
fix CI (#1884)
Eliott C.Unverified signature* fix CI * add playwright as dev dep * lint * clean up spaces-config with community tools * try to make mongo run?3b53c7a
-
Refactor token parameters to standardize naming across models and generation settings
dd2acb7
-
Omni multimodality (#1880)
Unverified signature* Add multimodal fallback support to router * fix: improve error handling for multimodal model routing * Handle multimodal messages without files9092d43
-
HuggingChat 2026 (#1875)
Unverified signature* refactor: remove tokenizer-related functionality and dependencies - Removed tokenizer dependencies from package.json. - Deleted TokensCounter component and its usages across the application. - Updated model configurations to exclude tokenizer properties. - Refactored model processing logic to support only OpenAI-compatible endpoints. - Adjusted API responses to omit tokenizer information. - Cleaned up related utility functions and imports. * Remove web search functionality and related components - Deleted endpoints for various web search APIs (serpApi, serpStack, serper, webLocal, youApi). - Removed generateQuery function and its usage in search. - Eliminated web search related types and interfaces from the codebase. - Updated Assistant and Conversation types to remove references to web search and embedding models. - Cleaned up related utility functions and message updates for web search. - Adjusted API routes and components to reflect the removal of web search features. - Updated…7bf1507
-
feat: allow storing env variable in DB (#1802)
Unverified signature* feat(config): wip, make config controllable from DB, public side for now * fix: build * feat(config): add config manager env var toggle * wip: make backend config use config manager * fix: typechecks * fix: circular import * refactor: init hook sveltekit * fix: disable config manager during tests * refactor: use enum for semaphore, move delete from auto after 60s to separate `deleteAt` field * feat: config manager checks for updates on requests * fix: config script exit * fix: remove top-level awaits * fix: script await * feat: filter config keys based on public environment variables for more security * fix: change import to type for public environment variables48059af
-
Fix system message handling to preserve user-configured system prompts (#1764)
stoXe +1: nsarrazin Unverified signaturePreviously, when a preprompt was provided, it would completely replace any user-configured system message instead of being prepended to it. Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>bdb443a
-
Add `toolId` to ToolCall and use it in tool results (#1787)
Kelig +1: Kelig LEFEUVREUnverified signature* Add `toolId` to ToolCall and use it in tool results * Make `toolId` optional in ToolCall interface --------- Co-authored-by: Kelig LEFEUVRE <klefeuvre@alpes-controles.fr>82b61d0
-
fix(endpoints): fix for tool calling on hf inference with openai endpoint type (#1754)
Unverified signature* fix(endpoints): fix for tool calling on hf inference with openai endpoint type * moar fix * fix: typechecks185c2ff -
feat(openai): added support for non-streaming o1 (e.g. Azure) models (#1687)
Unverified signature* feat(openai): added support for non-streaming o1 (e.g. Azure) models * feat(docs): add non streaming example * feat: moar docs --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>df0f84c
-
fix: disable caching on OpenAI-compatible endpoint type
Unverified signatured433f1d
-
feat(openai): added support for o1 reasoning models (#1618)
Unverified signature* fix(openai): systemRoleSupported model configuration for openai endpoints * feat(openai): max_completion_tokens now used over max_tokens for chat_completeions endpoint. * fix: lint * feat(docs): add o1 example * fix: make parameter default to false and fix type checks --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>3360a5d
-
Fix/oai parameters 1552 (#1557)
evalstateUnverified signature* support temperature between 0 and 2 * added parsing of presence_penalty from model parameters. OAI endpoint now correctly uses (frequency penalty=parameters.repetition penalty) and (presence penalty=parameters.presence_penalty) for both chat and completion paths. * added parsing of presence_penalty from model parameters. OAI endpoint now correctly uses (frequency penalty=parameters.repetition penalty) and (presence penalty=parameters.presence_penalty) for both chat and completion paths.9c8e5e0
-
fix(endpoint): fallback to hf token for openai endpoint type
Unverified signature8a9d27a
-
feat(endpoints): Add conv ID to headers passed to TGI (#1511)
Unverified signature791e118
-
feat(tools): Basic tool support for OpenAI models (#1447)
Unverified signature* feat(tools): Basic tool support for OpenAI models * feat(tools): Basic tool support for OpenAI models * fix: tools with document input (not image) * fix: double yield of streaming tokens * fix: boolean parameter processing error took me a while to find this one lol * feat: throw error if using tools in `completions` mode * feat: fix image processing in tools mode * fix: remove correlationKey and clean up types --------- Co-authored-by: Jacob Gladish <jacob_gladish@comcast.com> Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>7dbac68
-
fix(openai): do not throw "Generation failed" when finish_reason="length" (#1429)
L +1: nsarrazin Unverified signatureCo-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>1f8ab3d
-
Generic Multimodal Support Fixed (#1147)
Liam Dyer +2: nsarrazin, Mishig Unverified signature* feat: multimodal anthropic support * docs: add claude haiku and multimodal support * feat: uploaded file detection and image conversion * fix deps with sharp * fix resvg deps? * fix: image conversion, retry with files * feat: generic image processing and size target * docs: multimodal review comments Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> * docs: multimodal review comments Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> * feat: review comment resolution * fix: type error on image params * feat: add multimodal for vertex ai anthropic * style: uploadFile timeout number Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> * fix: TGI endpoints expecting multimodal --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com> Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu>5b1a9aa
-
Revert "Generic Multimodal Support" (#1146)
MishigUnverified signatureRevert "Generic Multimodal Support (#1021)" This reverts commit 57f89346cc6d953246d0f1705e342e2e66fce386.3382639 -
Generic Multimodal Support (#1021)
Liam Dyer +2: nsarrazin, Mishig Unverified signature* feat: multimodal anthropic support * docs: add claude haiku and multimodal support * feat: uploaded file detection and image conversion * fix deps with sharp * fix resvg deps? * fix: image conversion, retry with files * feat: generic image processing and size target * docs: multimodal review comments Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> * docs: multimodal review comments Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> * feat: review comment resolution * fix: type error on image params * feat: add multimodal for vertex ai anthropic * style: uploadFile timeout number Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com> Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu>46dd845
-
Extend endpointOai.ts to allow usage of extra sampling parameters (#1032)
Unverified signature* Extend endpointOai.ts to allow usage of extra sampling parameters when calling vllm as an OpenAI compatible * refactor : prettier endpointOai.ts * Fix: Corrected type imports in endpointOai.ts * Simplifies code a bit and adds `extraBody` to open ai endpooint * Update zod schema to allow any type in extraBody --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>ec2a4ed
-
Move vars to dynamic, add metrics (#1085)
Unverified signature* Add healthcheck route * Add prom client with basic metrics * wip: serve metrics on a different port * exclude server from tsconfig * latest * refacto(all): use class & singleton * refacto(all): use class & singleton * refacto(all): add request logs * Make all the env vars dynamic (#1092) * Add truncate to task model (#1090) * retry text area height (#1091) * Make all the env vars dynamic * only check for db at runtime * remove secret from build step * improve dockerfile * Wrap db in singleton * add .env.local to dockerignore * changes to dockerfile * lint * aborted generations * move collections build check * Use a single dockerfile * lint * fixes * lint * don't return db during building * remove dev --------- Co-authored-by: Victor Muštar <victor.mustar@gmail.com> * refacto(all): update default metrics port * fix recursion error * add version check * revert vite preview * Move request logs to debug level and add an env var to filter by log level in d…a8a9533
-
Expose sampling controls in assistants (#955) (#959)
Unverified signature* Expose sampling controls in assistants (#955) * Make sure all labels have the same font size * styling * Add better tooltips * better padding & wrapping * Revert "better padding & wrapping" This reverts commit 1b44086465040f2cb6bc906983cfc8d95820d6fe. * ui update * tooltip on mobile * lint * Update src/lib/components/AssistantSettings.svelte Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> --------- Co-authored-by: Victor Mustar <victor.mustar@gmail.com> Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu>4e43408
-
Make sure preprompt is set on open ai endpoint type (#913)
Unverified signature* Make sure preprompt is set on open ai endpoint type * fix preprompt passing to conversationc78cb53
-
Allow customising defaultQuery for native Azure OpenAI support (#822)
Unverified signatureThe api-version is a required query parameter for Azure OpenAI, by supporting this we can support it without a gateway like portkey. Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>d8a16f3
-
Conversation trees (#223) (#807)
Unverified signature* work on branching * branching * work on input field * wip * wip * helper stuff * pass tests * add type guards and clean up type requirements * fixed shared conv type * more helpers stuff * clean up code * addChildren helper * addSibling * add test for addSibling & refacto addChildren tests * backend work pt. 1 * backend done * add children property to messages for easier frontend rendering * fix message id type rail * front-end work on simple linear conversation * fix title generation * convert conversations on post * server side retry works with branching * clean up buttons * fix retry feature backend * Send new messages in any subtree * make edit previous prompts feature work * fix padding * revert unneeded changes * bring back pending message * fix front-end streaming * fix initial message * Revert "fix initial message" This reverts commit 6257fe8789c52a20e7506aa453efda55c16e95bb. * Fix bug subtree state refresh * fix continue feature on shared co…2a808d7
-
fix continue button on openai endpoint (#803)
Unverified signature0d1a7ca
-
Several QoL contributions (#760)
Luke +1: nsarrazin Unverified signature* allow customizing disclaimer as `PUBLIC_APP_DISCLAIMER_MESSAGE` * support passing `defaultHeaders` to `openai` endpoint * add azure openai, claude, mistral examples using `defaultHeaders` & `openai` endpoint * fix streaming being buffered behind cloudflare tunnel might help to relieve issue #598 * support new lines in model description * don't automatically generate modelUrl to huggingface fixes broken links for self-hosted or custom-named model * add `PUBLIC_APP_DISCLAIMER_MESSAGE` in `.env` * `npm run format` --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>4ef3bdf
-
[JS] use shorthand notation (#711)
MishigUnverified signature* [JS] use shorthand notation * add `"object-shorthand": ["error", "always"],` * fix "Expected method shorthand object-shorthand" * format347b211
-
Support websearch for openAI chat completion mode (#608)
Unverified signatured8f2f55 -
Add support for passing an API key or any other custom token in the authorization header (#579)
Galén +1: nsarrazin Unverified signature* Add support for passing an API key or any other custom token in the authorization header * Make linter happy * Fix README as per linter suggestions * Refactor endpoints to actually parse zod config * Remove top level env var and simplify header addition * Skip section on API key or other, remove obsolete comment in endpointTgi.ts and remote CUSTOM_AUTHORIZATION_TOKEN from .env --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>51b0991
-
Modular backends & support for openAI & AWS endpoints (#541)
Unverified signature* Fix the response Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Should use /completions Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Use async generator Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Use openai npm Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Fix generateFromDefaultEndpoint Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Fix last char become undefined Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Better support for system prompt Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Updates Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Revert Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Update README Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Default system prompt Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * remove sk- Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Fixing t…b5ae065